#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

int main()
{
    char c1, c2;
    int a1, a2;

    cin >> c1 >> c2;

    cin >> a1 >> a2;

    vector<char> b;

    if (abs(a1 - a2) > 1)
        cout << "nemoguce" << endl;
    else
    {
        if(a1 >= a2)
        {
            for(int i = 0; i < a1+a2; i+=2)
            {
                b.push_back(c1);

                if (i + 1 < a1 + a2)
                    b.push_back(c2);
            }
        }
        if (a1 < a2)
        {
            for (int i = 0; i < a1 + a2; i += 2)
            {
                b.push_back(c2);

                if (i + 1 < a1 + a2)
                    b.push_back(c1);
            }
        }
    }

    for(int i=0; i<b.size(); i++)
    {
        cout << b[i];
    }

    return 0;
}